Skip to main content

Update construction job

PUThttps://api.propexo.com/v1/construction-jobs/:construction_job_id

Update a construction job for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

construction_job_id stringrequired

The Propexo unique identifier for the construction job

Request​

This endpoint expects an object.

    object

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/construction-jobs/:construction_job_id
curl -X PUT https://api.propexo.com/v1/construction-jobs/:construction_job_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{
"job_id": "string",
"data": {}
}